Bug 1033105 - [abrt] evolution-3.8.5-2.fc19: rss_ep_need_proxy_http: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.8.5-2.fc19: rss_ep_need_proxy_http: Process /usr/bin/evolu...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:0cc36d8b574197df57455a54b50...
:
: 1040566 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-21 09:49 EST by Brian J. Murrell
Modified: 2015-04-02 16:37 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-22 05:37:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (79.52 KB, text/plain)
2013-11-21 09:49 EST, Brian J. Murrell
no flags Details
File: cgroup (143 bytes, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: core_backtrace (46.10 KB, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: dso_list (28.82 KB, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: environ (1.96 KB, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: exploitable (82 bytes, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: limits (1.29 KB, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: maps (136.01 KB, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: open_fds (3.15 KB, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: proc_pid_status (988 bytes, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details
File: var_log_messages (955 bytes, text/plain)
2013-11-21 09:50 EST, Brian J. Murrell
no flags Details

  None (edit)
Description Brian J. Murrell 2013-11-21 09:49:51 EST
Description of problem:
I was adding the slashdot.org rss feed to evolution.

Version-Release number of selected component:
evolution-3.8.5-2.fc19

Additional info:
reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: rss_ep_need_proxy_http
executable:     /usr/bin/evolution
kernel:         3.11.6-200.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 rss_ep_need_proxy_http at rss-evo-common.c:281
 #1 rss_resolve_callback at network-soup.c:354
 #2 complete_resolve_async at soup-address.c:657
 #3 lookup_resolved at soup-address.c:699
 #4 g_task_return_now at gtask.c:1105
 #5 complete_in_idle_cb at gtask.c:1114
 #10 gtk_main at gtkmain.c:1156
Comment 1 Brian J. Murrell 2013-11-21 09:49:58 EST
Created attachment 827243 [details]
File: backtrace
Comment 2 Brian J. Murrell 2013-11-21 09:50:02 EST
Created attachment 827244 [details]
File: cgroup
Comment 3 Brian J. Murrell 2013-11-21 09:50:07 EST
Created attachment 827245 [details]
File: core_backtrace
Comment 4 Brian J. Murrell 2013-11-21 09:50:11 EST
Created attachment 827246 [details]
File: dso_list
Comment 5 Brian J. Murrell 2013-11-21 09:50:15 EST
Created attachment 827247 [details]
File: environ
Comment 6 Brian J. Murrell 2013-11-21 09:50:18 EST
Created attachment 827248 [details]
File: exploitable
Comment 7 Brian J. Murrell 2013-11-21 09:50:24 EST
Created attachment 827249 [details]
File: limits
Comment 8 Brian J. Murrell 2013-11-21 09:50:31 EST
Created attachment 827250 [details]
File: maps
Comment 9 Brian J. Murrell 2013-11-21 09:50:34 EST
Created attachment 827251 [details]
File: open_fds
Comment 10 Brian J. Murrell 2013-11-21 09:50:37 EST
Created attachment 827252 [details]
File: proc_pid_status
Comment 11 Brian J. Murrell 2013-11-21 09:50:40 EST
Created attachment 827253 [details]
File: var_log_messages
Comment 12 Brian J. Murrell 2013-11-21 10:45:04 EST
adding rss feed

reporter:       libreport-2.1.9
backtrace_rating: 4
cmdline:        evolution
crash_function: rss_ep_need_proxy_http
executable:     /usr/bin/evolution
kernel:         3.11.6-200.fc19.x86_64
package:        evolution-3.8.5-2.fc19
reason:         Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 13 Milan Crha 2013-11-22 05:37:28 EST
Thanks for a bug report. I move this to evolution-rss, where the actual crash happened. I also moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=714997
Comment 14 Milan Crha 2014-01-09 09:51:03 EST
*** Bug 1040566 has been marked as a duplicate of this bug. ***
Comment 15 Fedora Update System 2014-04-05 18:31:52 EDT
evolution-rss-0.3.93-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/evolution-rss-0.3.93-4.fc19
Comment 16 Fedora Update System 2014-04-05 18:36:46 EDT
evolution-rss-0.3.94-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/evolution-rss-0.3.94-3.fc20
Comment 17 Fedora Update System 2015-04-02 16:37:19 EDT
evolution-rss-0.3.95-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/evolution-rss-0.3.95-1.fc20

Note You need to log in before you can comment on or make changes to this bug.